|  | Home · All Classes · Modules

# QDynamicPropertyChangeEvent Class Reference
[QtCore module]

The QDynamicPropertyChangeEvent class contains event parameters for dynamic property change events. More...

Inherits QEvent.

### Methods

- __init__ (self, QByteArray name)
- __init__ (self, QDynamicPropertyChangeEvent)
- QByteArray propertyName (self)

## Detailed Description

The QDynamicPropertyChangeEvent class contains event parameters for dynamic property change events.

Dynamic property change events are sent to objects when properties are dynamically added, changed or removed using QObject.setProperty().

## Method Documentation

### QDynamicPropertyChangeEvent.__init__ (self, QByteArray name)

Constructs a dynamic property change event object with the property name set to name.

### QDynamicPropertyChangeEvent.__init__ (self, QDynamicPropertyChangeEvent)

### QByteArray QDynamicPropertyChangeEvent.propertyName (self)

Returns the name of the dynamic property that was added, changed or removed.

See also QObject.setProperty() and QObject.dynamicPropertyNames().